# Risk management configuration
daily_loss_limit_pct: 5           # Circuit breaker: halt 24h
max_drawdown_pct: 15              # Full halt, manual reset only
max_trades_per_hour: 10           # Runaway detection
min_cash_reserve_pct: 20          # Always maintain 20% stablecoin
max_total_exposure_pct: 80        # Max 80% of portfolio deployed
price_staleness_seconds: 30       # Reject if price data > 30s old
signal_staleness_pct: 2           # Reject if signal price > 2% from live

# Circuit breaker settings
api_error_consecutive_limit: 5    # 5 consecutive errors -> pause
api_error_cooldown_seconds: 60    # Initial cooldown after errors
api_error_max_backoff_seconds: 300  # Max exponential backoff

# Hysteresis after recovery
recovery_position_scale: 0.5     # First trade at 50% normal size
recovery_trades_required: 3       # Full size after 3 successful reduced trades

# Kill switch
kill_switch_path: /host/kill-switch/kill_switch.flag
admin_api_bind: "###_IP"
admin_api_port: 8080
